Table of Contents

Class: StreamWidget | Twisted-0.19.0/twisted/web/widgets.py
--- | ---
A `streamable` component of a webpage.
Base Classes |
--- | ---
Widget
Methods |
--- | ---
display stream
| display
    display ( self,  request )
Produce a list containing a single string.
| stream
    stream (
            self,
            write,
            request,
            )
Call `write` multiple times with a string argument to represent this widget.
Exceptions |
--- | ---
NotImplementedError( "%s.stream" % self.__class__ )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:39 2002 by HappyDoc version 2.0